# frozen_string_literal: true

require_relative "lib/oak/version"
require_relative "lib/oak/easter_egg"

Gem::Specification.new do |spec|
  spec.name          = "oak-api"
  spec.version       = Oak::VERSION
  spec.authors       = ["Oak Software"]
  spec.post_install_message = Oak.greetings
  #spec.email         = ["TOOD add email once the first working version of the API is ready"]

  spec.summary       = "Tool to interact with Oak API"
  spec.description   = "Get access to posts, tasks, and site analysitcs"
  #spec.homepage      = "TOOD add API docs URL docsonce the first working version of the API is ready"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html

  #spec.add_development_dependency "benchmark-ips", ">= 0"
  spec.add_development_dependency "byebug", "~> 11.0.1"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "minitest-sprint"
  spec.add_development_dependency "minitest-reporters"
  spec.add_development_dependency "minitest-english"
  spec.add_development_dependency "minitest-hooks"
  spec.add_development_dependency "minitest-fail-fast"
  spec.add_development_dependency "minitest-global_expectations"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "ronn"
  spec.add_development_dependency "ruby-prof"

  #spec.add_runtime_dependency "SOME_GEM", "~> VERSION"
end
